跳转到主要内容
POST
/
veo
/
reshoot
Veo Reshoot
curl --request POST \
  --url https://api.acedata.cloud/veo/reshoot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_id": "video-uuid-xxx",
  "motion_type": "LEFT_TO_RIGHT"
}
'
import requests

url = "https://api.acedata.cloud/veo/reshoot"

payload = {
"video_id": "video-uuid-xxx",
"motion_type": "LEFT_TO_RIGHT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({video_id: 'video-uuid-xxx', motion_type: 'LEFT_TO_RIGHT'})
};

fetch('https://api.acedata.cloud/veo/reshoot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {},
  "success": true
}
{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

授权

Authorization
string
header
必填

请求头

accept
enum<string>

Veo Reshoot Param Accept

可用选项:
application/json

请求体

application/json
video_id
string
必填

Veo Reshoot Video Id

示例:

"video-uuid-xxx"

motion_type
enum<string>
必填

Veo Reshoot Motion Type

可用选项:
STATIONARY,
STATIONARY_UP,
STATIONARY_DOWN,
STATIONARY_LEFT,
STATIONARY_RIGHT,
STATIONARY_DOLLY_IN_ZOOM_OUT,
STATIONARY_DOLLY_OUT_ZOOM_IN,
UP,
DOWN,
LEFT_TO_RIGHT,
RIGHT_TO_LEFT,
FORWARD,
BACKWARD,
DOLLY_IN_ZOOM_OUT,
DOLLY_OUT_ZOOM_IN
示例:

"LEFT_TO_RIGHT"

callback_url
string

Veo Reshoot Callback Url

async
boolean

Veo Reshoot Async

响应

Veo Reshoot Response 200

data
object

Veo Reshoot Response 200 Data

success
boolean

Veo Reshoot Response 200 Success